#if !defined(AFX_LAYERDLG_H__5411C8C3_643D_11D2_8408_00A0C933BCAC__INCLUDED_)
#define AFX_LAYERDLG_H__5411C8C3_643D_11D2_8408_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LayerDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLayerDlg dialog

#include "HFAttribDlg.h"

class CLayerDlg : public CDialog
{
	// Construction
public:
	void AddLayer(CString &lname);
	void ToggleItem(int sel);
	void UpdateLayers();
	CLayerDlg(CWnd* pParent = NULL);   // standard constructor
	~CLayerDlg();  
	LAYSTAT LayStatus[MAX_LAYERS];
	int LastLay;
	void Showall();
	void Showheight();
	CImageList			*imlist;

	// Dialog Data
	//{{AFX_DATA(CLayerDlg)
	enum { IDD = IDD_LAYERWND };
	CListCtrl	LayList;
	//}}AFX_DATA
	
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLayerDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	
	// Implementation
protected:
	
	// Generated message map functions
	//{{AFX_MSG(CLayerDlg)
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnDblclkLayerlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMakeinvisible();
	afx_msg void OnMakevisible();
	afx_msg void OnShowall();
	afx_msg void OnShowheight();
	virtual BOOL OnInitDialog();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRclickLayerlist(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LAYERDLG_H__5411C8C3_643D_11D2_8408_00A0C933BCAC__INCLUDED_)
